Forcing PHP5


#1

I’m migrating a site to Dreamhost & trying also to get it to run under PHP5 at the same time. What I’m finding is that if a file is named with an extension of .php3 it loads under PHP5, .php4 loads under PHP4 and .php gives a 403 error. What I’d like to do (path of least resistance and all) is have .php4 load under PHP5. Any thoughts of how to make this happen with Dreamhost hosting?

My .htaccess file looks like:

[code]Options Indexes FollowSymLinks Includes
#AddType application/x-httpd-cgi .cgi
#AddType text/x-server-parsed-html .html
#AddType application/php .php .php4 .php3
AddType application/x-httpd-php5 .php .php4 .php3

ForceType php5-cgi
[/code]
and my account is set up with php5.2 fastCGI

any thoughts?


#2

i think what you need is AddHandler…


#3

Bingo. Adding

to my .htaccess solved the problem. Many thanks.